OCF_PACEMAKER_CLUSTE(7)

NAME
ocf_pacemaker_ClusterMon - Runs crm_mon in the background, recording the cluster status to an HTML file

SYNOPSIS

[OCF_RESKEY_user=string] [OCF_RESKEY_update=integer] [OCF_RESKEY_extra_options=string] OCF_RESKEY_pidfile=string OCF_RESKEY_htmlfile=string ClusterMon [start | stop | monitor | meta-data | validate-all]

DESCRIPTION

This is a ClusterMon Resource Agent. It outputs current cluster status to the html.

SUPPORTED PARAMETERS

OCF_RESKEY_user = string [root]
    The user we want to run crm_mon as

    The user we want to run crm_mon as

OCF_RESKEY_update = integer [15000]
    Update interval in milliseconds

    How frequently should we update the cluster status (in milliseconds). For compatibility with old documentation, values less than 1000 will be treated as seconds.

OCF_RESKEY_extra_options = string []
    Extra options

    Additional options to pass to crm_mon. Eg. -n -r

OCF_RESKEY_pidfile = string [/tmp/ClusterMon_.pid]
    PID file

    PID file location to ensure only one instance is running

OCF_RESKEY_htmlfile = string [/tmp/ClusterMon_.html]
    HTML output

    Location to write HTML output to.

AUTHOR

Andrew Beekhof <andrew@beekhof.net>
    Author.